# Freeze::ServantInitializer

## Overview

### local interface ServantInitializer

A servant initializer provides the application with an opportunity to perform custom servant initialization.

#### See Also

Evictor

## Operations

### void initialize(::Ice::ObjectAdapter adapter, ::Ice::Identity identity, string facet, Object servant)

Called whenever the evictor creates a new servant. This operation allows application code to perform custom servant initialization after the servant has been created by the evictor and its persistent state has been restored.

#### Parameters

adapter
  The object adapter in which the evictor is installed.
identity
  The identity of the Ice object for which the servant was created.
facet
  The facet. An empty facet means the default facet.
servant
  The servant to initialize.

#### See Also

::Ice::Identity